#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    int t, n, k;
    cin>>t>>n>>k;
    priority_queue <int> rast;
    priority_queue <int, vector <int>, greater<int>> opad;
    for (int i=0; i<n; i++)
    {
        int a; cin>>a;
        rast.push(a);
        opad.push(a);
    }
    int maxtrn=0;
    while (!opad.empty())
    {
        if (opad.top()>=maxtrn) maxtrn++;
        else maxtrn--;
        opad.pop();
    }
    int mintrn=0;
    while (!rast.empty())
    {
        if (rast.top()>=mintrn) mintrn++;
        else mintrn--;
        rast.pop();
    }
    if (k==maxtrn || k==mintrn)
    {
        cout<<"DA"<<endl;
    }
    else cout<<"NE"<<endl;
    return 0;
}